Subject: [tsvwg] [Errata Held for Document Update] RFC3168 (4754)

From: RFC Errata System <[email-masked]>
Date: Wed, 4 Mar 2020 01:58:33 -0800 (PST)

The following errata report has been held for document update 
for RFC3168, "The Addition of Explicit Congestion Notification (ECN) to IP". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid4754

--------------------------------------
Status: Held for Document Update
Type: Editorial

Reported by: Bob Briscoe <[email-masked]>
Date Reported: 2016-07-31
Held by: Mirja Kühlewind (IESG)

Section: Header block

Original Text
-------------
Updates: 2474, 2401, 2003, 793

Corrected Text
--------------
Updates: 2474, 2401, 2003, 2473, 793

Notes
-----
RFC 3168 updates RFC 2473 but does not indicate this in its header block.

Specifically, Section 9 of RFC 3168 defined processing of the ECN field for Encapsulated Packets, which updated section 6.4 of RFC 2473, where the creation of the "IPv6 Tunnel Packet Traffic Class" was specified. RFC3168 also updated the decapsulation behaviour of the ECN field in an IPv6 tunnel header, which had not been specified in RFC2473.

Note 1: As well as tagging RFC3168 with this erratum, RFC2473 needs to be tagged (in the RFC index and associated tools outputs) to indicate that it is updated by RFC3168.

Note 2: Originally, the "Updates:" header of RFC3168 did not contain "2003", which was added as a result of Errata ID 2660.

Note 3: The first sentence of section 9.1 in RFC3168 should also be modified as follows:
Original text:
   The encapsulation of IP packet headers in tunnels is used in many
   places, including IPsec and IP in IP [RFC2003].
Corrected text:
   The encapsulation of IP packet headers in tunnels is used in many
   places, including IPsec and IP in IP [RFC2003, 2473].
Comment: 
   Nowadays RFC2473 would be a normative reference, but RFC3168 pre-dated the categorisation of references into normative and informative.

Note 4: Section 9 of RFC3168 has since been updated by RFC6040. Nonetheless, that is already correctly identified in RFC6040.

This reported errata has be moved to "Held for Document Update". While the reported problem is correct and needs to be addressed, it is not just an errata but a larger oversight at publication time.

--------------------------------------
RFC3168 (draft-ietf-tsvwg-ecn-04)
--------------------------------------
Title               : The Addition of Explicit Congestion Notification (ECN) to IP
Publication Date    : September 2001
Author(s)           : K. Ramakrishnan, S. Floyd, D. Black
Category            : PROPOSED STANDARD
Source              : Transport Area Working Group
Area                : Transport
Stream              : IETF
Verifying Party     : IESG

---

From: Mirja Kuehlewind <[email-masked]>
Date: Wed, 4 Mar 2020 11:06:15 +0100

Hi tsvwg,

I just moved this errata to “Held for Document Update” as there are multiple points in this errata which go beyond just being an errata.

However there is also errata 4997 which only address the missing update:

https://www.rfc-editor.org/errata/eid4997

Should this errata be verified and the update tag added?

Mirja

> On 4. Mar 2020, at 10:58, RFC Errata System <[email-masked]> wrote:
>

---

From: Bob Briscoe <[email-masked]>
Date: Wed, 4 Mar 2020 17:42:15 +0000

Mirja,

I don't even remember writing this Erratum, it's so old (or maybe it's 
me that's so old - don't comment on that tho).

The main reason for reporting omissions in the "Updates" header is to 
ensure that people who are responsible for implementations of updated 
RFCs know that they are meant to watch RFC3168 (and its updates). It 
would be useful if the tools view showed accepted errata to the Updates 
header below the "Updated by" field (in the grey area at the top of the 
HTML of a draft).

Any chance that this is possible?

FYI, according to the 3168 errata list, there are 3 missing refs in the 
updates header of 3168 now. But they each have a different status:

Errata ID: 2660 <https://www.rfc-editor.org/errata/eid2660>*Status: 
Verified* Add "Updates: 2003"
Errata ID: 4997 <https://www.rfc-editor.org/errata/eid4997> *Status: 
Reported *Add "Updates: 2460"
Errata ID: 4754 <https://www.rfc-editor.org/errata/eid4754>*Status: Held 
for Document Update *Add "Updates: 2473"

Bob

-- 
________________________________________________________________
Bob Briscoe                               http://bobbriscoe.net/

---

From: Mirja Kuehlewind <[email-masked]>
Date: Wed, 4 Mar 2020 19:37:48 +0100

Hi Bob,

I’ve sent a note about this on tsvwg list. 

However, I now see that I got a bit confused about this. I thought this errata and 4997 would add the same RFC in updates, which is not the case as you correctly stated below.

Errata 2660 was verified a while ago and the RFC editor actually added the respective update tags for that RFC. So we could do the same for RFC2460 and RFC2473 (meaning that if “Held for update” was not correct for this one, I can request the RFC editor to revert it). However, I would like to get further input from the group if that is the correct thing to do.

Mirja

> On 4. Mar 2020, at 18:42, Bob Briscoe <[email-masked]> wrote:
> 
> Mirja,
> 
> I don't even remember writing this Erratum, it's so old (or maybe it's me that's so old - don't comment on that tho).
> 
> The main reason for reporting omissions in the "Updates" header is to ensure that people who are responsible for implementations of updated RFCs know that they are meant to watch RFC3168 (and its updates). It would be useful if the tools view showed accepted errata to the Updates header below the "Updated by" field (in the grey area at the top of the HTML of a draft).
> 
> FYI, according to the 3168 errata list, there are 3 missing refs in the updates header of 3168 now. But they each have a different status:
> 
> Errata ID: 2660 Status: Verified Add "Updates: 2003"
> Errata ID: 4997 Status: Reported Add "Updates: 2460"
> Errata ID: 4754 Status: Held for Document Update Add "Updates: 2473"
> 
> 
> Bob
>

---

From: Bob Briscoe <[email-masked]>
Date: Thu, 5 Mar 2020 08:27:34 +0000

Mirja,

Yes, it would be cool if you could give all these errata a status that 
makes updated tags visible for the other two RFCs as well.

(I had only looked at RFC3168, not RFC2003, nor the RFC index, so I 
hadn't noticed that the RFC editor had added the update tags to RFC2003. 
Even tho it's not immediately obvious from looking at RFC3168 that it 
updates RFC2003, the most important thing is that it's obvious when 
looking at an updated RFC, which it now is, at least for RFC2003.)

Bob